#ifndef FREERTOS_IP_CONFIG_H
#define FREERTOS_IP_CONFIG_H

/* Constants Affecting the TCP/IP Stack Task Execution Behaviour */
#define ipconfigIP_TASK_PRIORITY 2

/* Hardware and Driver Specific Settings */
#define ipconfigBYTE_ORDER  pdFREERTOS_LITTLE_ENDIAN
#define ipconfigNETWORK_MTU 1526

/* TCP Specific Constants */
#define ipconfigTCP_MSS              1460
#define ipconfigTCP_RX_BUFFER_LENGTH (16 * ipconfigTCP_MSS)
#define ipconfigTCP_TX_BUFFER_LENGTH (16 * ipconfigTCP_MSS)

#endif